Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PrimaryUserProfile

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.PublicObject

                        |

                        +--oracle.ifs.beans.TiePublicObject

                              |

                              +--oracle.ifs.beans.UserProfile

                                    |

                                    +--oracle.ifs.beans.TieUserProfile

                                          |

                                          +--oracle.ifs.beans.PrimaryUserProfile

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TiePrimaryUserProfile

public class PrimaryUserProfile
extends TieUserProfile

A PrimaryUserProfile contains information related to a DirectoryUser such as the home folder, the default ACLs, ContentQuota.

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `CONTENTQUOTA_ATTRIBUTE` The DirectoryUser's information about how much storage the user has allocated/consumed.
`static java.lang.String` | `DEFAULTACLS_ATTRIBUTE` A PropertyBundle containing the name/value pairs keyed by the class name of the AccessControlList to use when creating an instance of that class.
`static java.lang.String` | `DEFAULTADMINISTRATIONGROUP_ATTRIBUTE` The DirectoryUser's default AdministrationGroup.
`static java.lang.String` | `HOMEFOLDER_ATTRIBUTE` The DirectoryUser's home folder.
`static java.lang.String` | `READINDICATIONSTATE_ATTRIBUTE` An indicator of which documents' content the DirectoryUser has read.

Fields inherited from class oracle.ifs.beans.UserProfile
`DIRECTORYUSER_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, ADMINISTRATIONGROUP_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKEDFORSESSION_ATTRIBUTE, LOCKSTATE_ATTRIBUTE, LOCKSTATE_HARDLOCK, LOCKSTATE_SESSIONLOCK, LOCKSTATE_SOFTLOCK, LOCKSTATE_UNLOCK, LOCKSTATE_USERLOCK, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Method Summary
`ContentQuota` | `getContentQuota()` Gets the DirectoryUser's ContentQuota object.
`PropertyBundle` | `getDefaultAcls()` Gets the PropertyBundle for this profile that contains name/value pairs keyed by classname of the default ACL to use when creating an instance of that class.
`Folder` | `getHomeFolder()` Gets the DirectoryUser's home folder.
`void` | `setContentQuota(ContentQuota quota)` Sets the DirectoryUser's ContentQuota attribute.
`void` | `setDefaultAcls(PropertyBundle props)` Sets the PropertyBundle for this profile that contains name/value pairs keyed by classname of the default ACL to use when creating an instance of that class.
`void` | `setHomeFolder(Folder folder)` Sets the DirectoryUser's home folder.

Methods inherited from class oracle.ifs.beans.UserProfile
`getDirectoryUser`

Methods inherited from class oracle.ifs.beans.PublicObject
`addCategory, addRelationship, checkEffectiveAccess, checkEffectiveAccess, copy, getAcl, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getCategories, getCategories, getCreateDate, getCreator, getDefaultAccessLevel, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFlags, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLockedState, getLockState, getLockStateLabel, getOwner, getPolicyBundle, getPropertyBundle, getResolvedPublicObject, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, grantAccess, handleEvent, hasNameAttribute, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isVersionable, isVersioned, lock, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, removeRelationship, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setOwner, setPolicyBundle, setPropertyBundle, setSecuringPublicObject, toLockStateLabel, toLockStateLabel, toLockStateLabel, unlock`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### HOMEFOLDER_ATTRIBUTE

    public static final java.lang.String HOMEFOLDER_ATTRIBUTE

  The DirectoryUser's home folder.

### DEFAULTACLS_ATTRIBUTE

    public static final java.lang.String DEFAULTACLS_ATTRIBUTE

  A PropertyBundle containing the name/value pairs keyed by the class name of the AccessControlList to use when creating an instance of that class.

### DEFAULTADMINISTRATIONGROUP_ATTRIBUTE

    public static final java.lang.String DEFAULTADMINISTRATIONGROUP_ATTRIBUTE

  The DirectoryUser's default AdministrationGroup.

### READINDICATIONSTATE_ATTRIBUTE

    public static final java.lang.String READINDICATIONSTATE_ATTRIBUTE

  An indicator of which documents' content the DirectoryUser has read.

### CONTENTQUOTA_ATTRIBUTE

    public static final java.lang.String CONTENTQUOTA_ATTRIBUTE

  The DirectoryUser's information about how much storage the user has allocated/consumed.

Method Detail

### getHomeFolder

    public Folder getHomeFolder()
                         throws IfsException

  Gets the DirectoryUser's home folder. This is one of the user profile settings.
  Returns:
    DirectoryUser's home folder
  Throws:
    `IfsException` - if the operation fails

### setHomeFolder

    public void setHomeFolder(Folder folder)
                       throws IfsException

  Sets the DirectoryUser's home folder.
  Parameters:
    `folder` - the Folder that will be the home folder
  Throws:
    `IfsException` - if the operation fails

### getContentQuota

    public ContentQuota getContentQuota()
                                 throws IfsException

  Gets the DirectoryUser's ContentQuota object.
  Returns:
    DirectoryUser's ContentQuota
  Throws:
    `IfsException` - if the operation fails

### setContentQuota

    public void setContentQuota(ContentQuota quota)
                         throws IfsException

  Sets the DirectoryUser's ContentQuota attribute.
  Parameters:
    `quota` - the DirectoryUser's ContentQuota
  Throws:
    `IfsException` - if the operation fails

### getDefaultAcls

    public PropertyBundle getDefaultAcls()
                                  throws IfsException

  Gets the PropertyBundle for this profile that contains name/value pairs keyed by classname of the default ACL to use when creating an instance of that class.
  Returns:
    PropertyBundle containing default ACLs keyed by class name
  Throws:
    `IfsException` - if the operation fails

### setDefaultAcls

    public void setDefaultAcls(PropertyBundle props)
                        throws IfsException

  Sets the PropertyBundle for this profile that contains name/value pairs keyed by classname of the default ACL to use when creating an instance of that class.
  Parameters:
    `props` - PropertyBundle containing default ACLs keyed by class name
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD